<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html">sdkInterfaces</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html">SpeakerInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_speaker_interface_8h_source.html">SpeakerInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_speaker.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::test::\lMockSpeaker" alt="" coords="277,5,474,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_speaker_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::test::\lMockSpeakerInterface" alt="" coords="277,81,474,133"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html" title="alexaClientSDK::mediaPlayer\l::android::AndroidSLESSpeaker" alt="" coords="270,157,481,196"/>
<area shape="rect" id="node5" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html" title="alexaClientSDK::mediaPlayer\l::MediaPlayer" alt="" coords="277,220,474,259"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">SpeakerSettings</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a45fb9f447f7a2ed2d9ffb211c089de93"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">Type</a> { <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93aafb2a925f44a0b297bb16586a46dce7f">Type::AVS_SPEAKER_VOLUME</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93ae7c3740e167227c69730501b5aaf0600">Type::AVS_ALERTS_VOLUME</a>
 }</td></tr>
<tr class="separator:a45fb9f447f7a2ed2d9ffb211c089de93"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a62a2c85856303a632259578e5be690e1"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a62a2c85856303a632259578e5be690e1">setVolume</a> (int8_t volume)=0</td></tr>
<tr class="separator:a62a2c85856303a632259578e5be690e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6e6ba66cfe830e32f6fa9ca085d27e9"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#aa6e6ba66cfe830e32f6fa9ca085d27e9">adjustVolume</a> (int8_t delta)=0</td></tr>
<tr class="separator:aa6e6ba66cfe830e32f6fa9ca085d27e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbe2074ac1537373fc6401e4a9103458"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#acbe2074ac1537373fc6401e4a9103458">setMute</a> (bool mute)=0</td></tr>
<tr class="separator:acbe2074ac1537373fc6401e4a9103458"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87428c87003c137a49312155a9d47d99"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a87428c87003c137a49312155a9d47d99">getSpeakerSettings</a> (<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">SpeakerSettings</a> *settings)=0</td></tr>
<tr class="separator:a87428c87003c137a49312155a9d47d99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1edb277d8479e3c9a7ed75488f3cfd81"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a1edb277d8479e3c9a7ed75488f3cfd81">getSpeakerType</a> ()=0</td></tr>
<tr class="separator:a1edb277d8479e3c9a7ed75488f3cfd81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac925dffe455006398c7d6bcacb2a5d59"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#ac925dffe455006398c7d6bcacb2a5d59">~SpeakerInterface</a> ()=default</td></tr>
<tr class="separator:ac925dffe455006398c7d6bcacb2a5d59"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">The <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html">SpeakerInterface</a> is concerned with the control of volume and mute settings of a speaker. The two settings are independent of each other, and the respective APIs shall not affect the other setting in any way. Compound behaviors (such as unmuting when volume is adjusted) will be handled at a layer above this interface. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="a45fb9f447f7a2ed2d9ffb211c089de93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45fb9f447f7a2ed2d9ffb211c089de93">&#9670;&nbsp;</a></span>Type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::Type</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">This enum provides the type of the <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html">SpeakerInterface</a></code>. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a45fb9f447f7a2ed2d9ffb211c089de93aafb2a925f44a0b297bb16586a46dce7f"></a>AVS_SPEAKER_VOLUME&#160;</td><td class="fielddoc"><p class="">Volume type reflecting AVS Speaker API volume. </p>
</td></tr>
<tr><td class="fieldname"><a id="a45fb9f447f7a2ed2d9ffb211c089de93ae7c3740e167227c69730501b5aaf0600"></a>AVS_ALERTS_VOLUME&#160;</td><td class="fielddoc"><p class="">Volume type reflecting AVS Alerts API volume. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac925dffe455006398c7d6bcacb2a5d59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac925dffe455006398c7d6bcacb2a5d59">&#9670;&nbsp;</a></span>~SpeakerInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::~SpeakerInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa6e6ba66cfe830e32f6fa9ca085d27e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6e6ba66cfe830e32f6fa9ca085d27e9">&#9670;&nbsp;</a></span>adjustVolume()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::adjustVolume </td>
          <td>(</td>
          <td class="paramtype">int8_t&#160;</td>
          <td class="paramname"><em>delta</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set a relative change for the volume of the speaker. <code>volume</code> will be [AVS_ADJUST_VOLUME_MIN, AVS_ADJUST_VOLUME_MAX], and implementers of the interface must normalize the volume to fit the needs of their drivers.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">delta</td><td>The delta to apply to the volume. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the operation was successful. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html#a5f05b7f5d73753a63557d90ca98d2901">alexaClientSDK::mediaPlayer::MediaPlayer</a>, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#aaf66b4a827bc49a17a63d27a164ebb76">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker</a>, and <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_speaker.html#a3cc4a80be94fb3a9fe4938c1dd0e8cf0">alexaClientSDK::avsCommon::sdkInterfaces::test::MockSpeaker</a>.</p>

</div>
</div>
<a id="a87428c87003c137a49312155a9d47d99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87428c87003c137a49312155a9d47d99">&#9670;&nbsp;</a></span>getSpeakerSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::getSpeakerSettings </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">SpeakerSettings</a> *&#160;</td>
          <td class="paramname"><em>settings</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Return a <code><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">SpeakerSettings</a></code> object to indicate the current settings of the speaker.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">settings</td><td>A <code><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">SpeakerSettings</a></code> object if successful. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the operation was successful. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html#a60bd8f48814dd1045737c19668d79b70">alexaClientSDK::mediaPlayer::MediaPlayer</a>, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#a0ada59240f8dfbeabbafb1efae699544">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker</a>, and <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_speaker.html#aa6225bd3c9aba7dd1ad4b877ede2eba1">alexaClientSDK::avsCommon::sdkInterfaces::test::MockSpeaker</a>.</p>

</div>
</div>
<a id="a1edb277d8479e3c9a7ed75488f3cfd81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1edb277d8479e3c9a7ed75488f3cfd81">&#9670;&nbsp;</a></span>getSpeakerType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">Type</a> alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::getSpeakerType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the <code>Type</code>. The <code>Type</code> should remain static and not change with the lifetime of the speaker.</p>
<dl class="section return"><dt>Returns</dt><dd>The <code>Type</code>. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html#a0af3c9628a3d6f7b72dc1342f840bdcb">alexaClientSDK::mediaPlayer::MediaPlayer</a>, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#a6dd70ceb8f9cf454e38838d32f6244b1">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker</a>, and <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_speaker.html#a6bef2f2d576cb273b5b5ccd2fda7b934">alexaClientSDK::avsCommon::sdkInterfaces::test::MockSpeaker</a>.</p>

</div>
</div>
<a id="acbe2074ac1537373fc6401e4a9103458"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbe2074ac1537373fc6401e4a9103458">&#9670;&nbsp;</a></span>setMute()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::setMute </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>mute</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set the mute of the speaker.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mute</td><td>Represents whether the speaker should be muted (true) or unmuted (false). </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the operation was successful. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html#a479054c0e1c99d5e420d4cbbc1a99d8e">alexaClientSDK::mediaPlayer::MediaPlayer</a>, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#ab4b10b0068237a7bf7dd6234b99a8146">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker</a>, and <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_speaker.html#aff64b7ff51d53354d20260440c052d05">alexaClientSDK::avsCommon::sdkInterfaces::test::MockSpeaker</a>.</p>

</div>
</div>
<a id="a62a2c85856303a632259578e5be690e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62a2c85856303a632259578e5be690e1">&#9670;&nbsp;</a></span>setVolume()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::setVolume </td>
          <td>(</td>
          <td class="paramtype">int8_t&#160;</td>
          <td class="paramname"><em>volume</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set the absolute volume of the speaker. <code>volume</code> will be [AVS_SET_VOLUME_MIN, AVS_SET_VOLUME_MAX], and implementers of the interface must normalize the volume to fit the needs of their drivers.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">volume</td><td>A volume to set the speaker to. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the operation was successful. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html#a96a794363f88696df19ca3572e607296">alexaClientSDK::mediaPlayer::MediaPlayer</a>, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_speaker.html#a9676cc8b9c39962f8a3a0cfd7f8e95f9">alexaClientSDK::mediaPlayer::android::AndroidSLESSpeaker</a>, and <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_speaker.html#afcb990086b0128afa37cedbd058d28e8">alexaClientSDK::avsCommon::sdkInterfaces::test::MockSpeaker</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/<a class="el" href="_speaker_interface_8h_source.html">SpeakerInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
